com.brightcove.player.concurrency

## Class ConcurrencySession

- java.lang.Object
- - com.brightcove.player.concurrency.ConcurrencySession

-     public class ConcurrencySession
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTIVE_FIELD`
    `static java.lang.String` | `END_VIEWER_ID_FIELD`
    `static java.lang.String` | `LAST_SEEN_FIELD`
    `static java.lang.String` | `SESSION_ID_FIELD`
    `static java.lang.String` | `SESSION_TTL_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrencySession()`
    `ConcurrencySession(java.lang.String endViewerID, java.lang.String sessionID, java.lang.String lastSeen, boolean active, java.lang.String sessionTTL)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEndViewerID()`
    `java.lang.String` | `getLastSeen()`
    `java.lang.String` | `getSessionID()`
    `java.lang.String` | `getSessionTTL()`
    `boolean` | `isActive()`
    `void` | `setActive(boolean active)`
    `void` | `setEndViewerID(java.lang.String endViewerID)`
    `void` | `setLastSeen(java.lang.String lastSeen)`
    `void` | `setSessionID(java.lang.String sessionID)`
    `void` | `setSessionTTL(java.lang.String sessionTTL)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### END_VIEWER_ID_FIELD

          public static final java.lang.String END_VIEWER_ID_FIELD

      See Also:
        Constant Field Values

    - #### SESSION_ID_FIELD

          public static final java.lang.String SESSION_ID_FIELD

      See Also:
        Constant Field Values

    - #### LAST_SEEN_FIELD

          public static final java.lang.String LAST_SEEN_FIELD

      See Also:
        Constant Field Values

    - #### ACTIVE_FIELD

          public static final java.lang.String ACTIVE_FIELD

      See Also:
        Constant Field Values

    - #### SESSION_TTL_FIELD

          public static final java.lang.String SESSION_TTL_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConcurrencySession

          public ConcurrencySession()

    - #### ConcurrencySession

          public ConcurrencySession(java.lang.String endViewerID,
                                    java.lang.String sessionID,
                                    java.lang.String lastSeen,
                                    boolean active,
                                    java.lang.String sessionTTL)

  - ### Method Detail

    - #### getEndViewerID

          public java.lang.String getEndViewerID()

    - #### setEndViewerID

          public void setEndViewerID(java.lang.String endViewerID)

    - #### getSessionID

          public java.lang.String getSessionID()

    - #### setSessionID

          public void setSessionID(java.lang.String sessionID)

    - #### getLastSeen

          public java.lang.String getLastSeen()

    - #### setLastSeen

          public void setLastSeen(java.lang.String lastSeen)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive(boolean active)

    - #### getSessionTTL

          public java.lang.String getSessionTTL()

    - #### setSessionTTL

          public void setSessionTTL(java.lang.String sessionTTL)